variable "tags" {
  type = map
  default = { } 
}

variable extra_key_users {
  description = "Extra Jira encryption key users."
  type = list
  default = [ ]
}

variable extra_key_attachers {
  description = "Extra Jira encryption key attachers."
  type = list
  default = [ ]
}

variable identifier {
  description = "RDS Identifier"
  type = string
  default = "jira"
}

variable instance_type {
  type = string
  default = "db.t3.medium"
}

variable jira_rds_storage {
  type = number
  default = 50
}

variable subnets {
  type = list(string)
}

# ----------------------------------
# Below this line are variables inherited from higher levels, so they
# do not need to be explicitly passed to this module.
variable "is_legacy" { type = bool }
variable "common_services_account" { type = string }
variable "standard_tags" { type = map }
variable "account_list" { type = list }
variable "aws_account_id" { type = string }
variable "aws_partition" { type = string }
variable "vpc_id" { type = string }
variable "environment" { type = string }
variable "cidr_map" { type = map }
variable "instance_termination_protection" { type = bool }
